this.name		= "Clear-HUD switch"
this.author		= "Tichy";
this.licence		= "WTFPL (do what you want with it)";
this.description	= "Changes HUD based on alert condition";
this.version		= "1.3";

this.startUp = function() {
	//define hud files
	this.dockHud = "hud.plist";
	this.greenHud = "hud-green.plist";
	this.yellowHud = "hud-yellow.plist";
	this.redHud = "hud-red.plist";
	
	//define vars
	player.ship.hud = this.dockHud;
}

this.alertConditionChanged = function(newCondition, oldCondition) {
    switch(newCondition) {
	case 0: { // docked
	    player.ship.hud = this.dockHud;
	    break;
	}
	case 1: { // green alert
	    player.ship.hud = this.greenHud;
	    break;
	}
	case 2: { // yellow alert
	    player.ship.hud = this.yellowHud;
	    break;
	}
	case 3: { // red alert
	    player.ship.hud = this.redHud;
	    break;
	}
    }
}
